<nz-list
  [nzDataSource]="data  "
  [nzItemLayout]="'vertical'"
  [nzRenderItem]="item"
  [nzPagination]="pagination">
  <ng-template #item let-item>

    <nz-list-item [nzExtra]="extra">

      <nz-list-item-meta [nzAvatar]="avatar" [nzTitle]="nzTitle" [nzDescription]="description">
        <ng-template #nzTitle>
          <a href="javascript:void(0)" routerLink="/posts/{{ item.id }}/detail">{{ item.title }} </a>
          <nz-tag *ngIf="item.approved && !item.notApproved" [nzColor]="'green'">Đã xác nhận</nz-tag>
          <nz-tag *ngIf="item.notApproved" [nzColor]="'red'">Đã đóng</nz-tag>
          <nz-tag *ngIf="!item.approved && !item.notApproved" [nzColor]="'blue'">Đang mở</nz-tag>
        </ng-template>
      </nz-list-item-meta>

      <ng-template #avatar>
        <img width="300" height="300" alt="logo" [src]="item.imageStrings[0]"/>
      </ng-template>

      <ng-template #description>
        <p>
          <span>Loại căn hộ: </span>
          <b *ngIf="!item.accomodationDTO.motel">nhà nguyên căn</b>
          <b *ngIf="item.accomodationDTO.motel">phòng trọ</b>
        </p>
        <p>{{ encodeDescription(item.content) }}</p>
      </ng-template>

      <ng-template #extra>
        <button [disabled]="disableBtnAction" *ngIf="!item.approved && !item.notApproved"
                nz-button nzType="default" nzShape="circle"
                nz-tooltip nzTitle="duyệt bài" nzPlacement="left"
                nz-popconfirm nzTitle="Duyệt bài viết này ngay?" nzPlacement="left"
                nzCancelText="Hủy" nzOkText="Duyệt" (nzOnConfirm)="approvePost(item.id)">
          <i nz-icon nzType="check" nzTheme="outline" style="font-size: 18px"></i>
        </button>
      </ng-template>

    </nz-list-item>
  </ng-template>

  <ng-template #pagination>
    <nz-pagination [nzPageIndex]="page.number + 1" [nzPageSize]="page.size" [nzTotal]="page.totalElements"
                   (nzPageIndexChange)="loadData($event)"></nz-pagination>
  </ng-template>
</nz-list>
